# YOLO (You Only Look Once) Object Detection Project

<img alt="Python" src="https://img.shields.io/badge/python-%2314354C.svg?style=for-the-badge&logo=python&logoColor=white"/> <img alt="Jupyter" src="https://img.shields.io/badge/Jupyter-%23F37626.svg?style=for-the-badge&logo=Jupyter&logoColor=white" /> <img alt="OpenCV" src="https://img.shields.io/badge/opencv-%23white.svg?style=for-the-badge&logo=opencv&logoColor=white"/> <img alt="NumPy" src="https://img.shields.io/badge/numpy-%23013243.svg?style=for-the-badge&logo=numpy&logoColor=white" /> 

## Declaration:
This project was done with the help of Darknet's YOLO repo, which helps to train and test custom models. Find this [link](https://youtu.be/04bXj-xOJkQ) for compilation video.

## Resource Links:
* **Darknet Website:** https://pjreddie.com/darknet/
* **Installation Guide:** https://pjreddie.com/darknet/install/
* **YOLO Weights Download:** https://pjreddie.com/media/files/yolov3.weights
* **OpenCV:** https://github.com/opencv/opencv

## YOLOv4:

* **Paper:** https://arxiv.org/abs/2004.10934

* **Source code:** https://github.com/AlexeyAB/darknet

* **Wiki:** https://github.com/AlexeyAB/darknet/wiki

* **Useful links:** https://medium.com/@alexeyab84/yolov4-the-most-accurate-real-time-neural-network-on-ms-coco-dataset-73adfd3602fe?source=friends_link&sk=6039748846bbcf1d960c3061542591d7

## Input Data
<p align="center">
  <img width="1000" src="https://raw.githubusercontent.com/oyeabhijit/yolo-obj-detection/main/input_video/input.gif" alt="Input Data">
</p>

## Output Data
<p align="center">
  <img width="1000" src="https://raw.githubusercontent.com/oyeabhijit/yolo-obj-detection/main/output_video/output.gif" alt="Output Data">
</p>

## Real-time FPS Measured in Tesla GPUs
<p align="center">
  <img width="1000" src="https://user-images.githubusercontent.com/4096485/90338826-06114c80-dff5-11ea-9ba2-8eb63a7409b3.png" alt="GPU Comparision">
</p>
